[tool.poetry]
name = "aframe"
version = "0.0.1"
description = "End-to-end aframe pipeline components"
authors = [
    "Alec Gunny <alec.gunny@ligo.org>",
    "Ethan Marx",
    "William Benoit"
]

[tool.poetry.dependencies]
python = ">=3.8,<3.11"
luigi = "^3.0"
law = "^0.1"
kubeml = {git = "https://github.com/EthanMarx/ray-kube.git", branch = "triton-server"}
kr8s = "^0.10.0"
pykube-ng = {version = "^23.6.0", extras = ["oidc"]}
boto3 = "^1.34.4"


[tool.poetry.group.dev.dependencies]
jupyter = "^1.0.0"
jsonargparse = "^4.27.1"
conda-lock = "^2.5.1"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"


[tool.black]
line-length = 79
include = '\.pyi?$'
exclude = '''
/(
    \.git
  | \.tox
  | _build
  | dist
  | docs
)/
'''


[tool.isort]
known_first_party = ["aframe", "train", "utils"]
multi_line_output = 3
include_trailing_comma = true
